export declare class Depot<T> {
    private depot;
    constructor();
    setItem: (key: string, value: T) => void;
    getItem: (key: string) => T | undefined;
    updateItem: (key: string, value: T) => void;
    removeItem: (key: string) => void;
    export: () => Record<string, T>;
    load: (data: Record<string, T>) => void;
    _serialize: (key?: string) => string;
    _deserialize: (data: string, key?: string) => void;
    clear: () => void;
    destory: () => void;
}
